#include <fmt/format.h>
#include <iostream>

/// dynamic width and precision

namespace
{
const double po{30.14159265359};

void foo(int width, int precision)
{
    std::cout << fmt::format("{:{}.{}} \n", po, width, precision);
}
} // namespace


int main()
{
    std::cout << fmt::format("{:5.8} \n", po);
    std::cout << fmt::format("{:5.3} \n", po);

    std::cout << fmt::format("{:{}.{}} \n", po, 5, 3);
    std::cout << fmt::format("{:{}.{}} \n", po, 10, 5);

    foo(10, 5);
    return 0;
}
