#include <fmt/format.h>
#include <fmt/ostream.h>
#include <iostream>
#include <string>

struct Person
{
    std::string name;
    int age;
};

std::ostream& operator<<(std::ostream& os, const Person& p);
std::ostream& operator<<(std::ostream& os, const Person& p)
{
    os << "[" << p.name << ", " << p.age << "]\n";
    return os;
}

int main()
{
    Person p1{"Prince", 51};
    std::cout << p1 << std::endl;

    std::cout << fmt::format("Person: {}", p1) << std::endl;

    return 0;
}
