#include <fmt/format.h>
#include <iostream>

/// different base

int main()
{
    std::cout << fmt::format("* {:x} \n", 242);
    std::cout << fmt::format("* {:X} \n", 242);

    std::cout << fmt::format("* {:o} \n", 242);

    std::cout << fmt::format("* {:b} \n", 242);
    std::cout << fmt::format("* {:B} \n", 242);

/// with the base prefix

    std::cout << fmt::format("* {:#x} \n", 242);
    std::cout << fmt::format("* {:#X} \n", 242);

    std::cout << fmt::format("* {:#o} \n", 242);

    std::cout << fmt::format("* {:#b} \n", 242);
    std::cout << fmt::format("* {:#B} \n", 242);

/// and minimum width
    std::cout << fmt::format("* {:2x} \n", 242);
    std::cout << fmt::format("* {:4x} \n", 242);
    std::cout << fmt::format("* {:04x} \n", 242);
    std::cout << fmt::format("* {:#2x} \n", 242);
    std::cout << fmt::format("* {:#4x} \n", 242);
    std::cout << fmt::format("* {:#06x} \n", 242);

    return 0;
}
