#include <fmt/format.h>
#include <cassert>
#include <cstdlib>
#include <iostream>

int main()
{
    {
        const double a = 1.0 / 3.0;

        const auto s = fmt::format("{}", a);
        [[maybe_unused]] const double b = std::atof(s.c_str());

        assert(a == b);
    }
    std::cout << "next " << std::endl;
    {
        const double a = 1.0 / 3.0;

        char buf[20]{};
        std::sprintf(buf, "%g", a);
        [[maybe_unused]] const double b = std::atof(buf);

        assert(a == b);

    }


    return 0;
}
