#include <fmt/format.h>
#include <iostream>
#include <string>

///             note does not work for {}  --> there must be something in, eg {:}

struct Person
{
    std::string name;
    int age;
};

template<>
struct fmt::formatter<Person>
{
    auto constexpr parse(fmt::format_parse_context& ctx)
    {
        return std::end(ctx) - 1;
    }

    auto format(const Person& person, fmt::format_context& ctx)
    {
        auto out = ctx.out();
        fmt::format_to(out, "[");
        fmt::format_to(out, "{}", person.name);
        fmt::format_to(out, ", ");
        fmt::format_to(out, "{}", person.age);
        return fmt::format_to(out, "]\n");
    }
};

int main()
{
    Person p1{"Prince", 51};

    std::cout << fmt::format("Person: {:}", p1) << std::endl;

    return 0;
}
